import React, { useState } from 'react';
import '../Style/DropDown.css';
import DropDownToggle from './DropDownToggle';

type props = {}

const DropDown = (props: props) => {
  const [clicked, setClicked] = useState(false);

  const OneOptions = [1, 2, 3, 4];
  const TwoOptions = ['Happy', 'Sombre', 'Peaceful'];
  const ThreeOptions = ["Upbeat", "Downbeat"];

  const option1Method = (value: string) => {
    console.log(value); // Temporary. Should alter something later
  };

  const option2Method = (value: string) => {
    console.log(value);
  };

  const option3Method = (value: string) => {
    console.log(value);
  };

  const determineRender = () => {
    if (clicked) return (
      <div className={'dropdown-menu'}>
        <DropDownToggle
          optionLabel={"Background "}
          options={OneOptions}
          parentFunction={option1Method}
        />
        <DropDownToggle
          optionLabel={"Mood "}
          options={TwoOptions}
          parentFunction={option2Method}
        />
        <DropDownToggle
          optionLabel={"Music "}
          options={ThreeOptions}
          parentFunction={option3Method}
        />
      </div>
    );
  };

  return (<div className={'dropdown'}>
    <span className={'settings-icon'} onClick={() => setClicked(!clicked)}/>
    {determineRender()}
  </div>);
};

export default DropDown;