import React from 'react';
import NavButton from './NavButton';

type props = { // Typescript definitions for the arguments received via props
  changePage: (arg0: boolean) => void; // A function that takes a bool and returns void
}

type state = { // Typescript definitions for the state variables of the class

}

class LandingPage extends React.Component<props, state> {

  constructor(props: props) {
    super(props); // Allows access to props in other functions
  }

  render() {
    return (
      <div>
        LandingPage
        <div className={'navbutton left'}>
          <NavButton direction={"left"} changePage={this.props.changePage}/>
        </div>
        <div className={'navbutton right'}>
          <NavButton direction={"right"} changePage={this.props.changePage}/>
        </div>
      </div>);
  }
}

export default LandingPage;